summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-arch/gtk-splitter
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-arch/gtk-splitter')
-rw-r--r--app-arch/gtk-splitter/Manifest1
-rw-r--r--app-arch/gtk-splitter/files/gtk-splitter-2.2.1-r1-desktop-QA-fixes.patch13
-rw-r--r--app-arch/gtk-splitter/gtk-splitter-2.2.1-r1.ebuild40
-rw-r--r--app-arch/gtk-splitter/metadata.xml12
4 files changed, 66 insertions, 0 deletions
diff --git a/app-arch/gtk-splitter/Manifest b/app-arch/gtk-splitter/Manifest
new file mode 100644
index 00000000000..c37fabaede6
--- /dev/null
+++ b/app-arch/gtk-splitter/Manifest
@@ -0,0 +1 @@
+DIST gtk-splitter-2.2.1.tar.gz 93515 SHA256 4f485c78ccd3d2f6353d751db3c1fc6cbd8f8ca4e99d2db0b284804acd3f37a9 SHA512 c84e43dddb5f1eef5a4fed7db7541012374d7e6bed760835adae20fa35a4685cb7a1a866ad02cbaf36ff3ee4d5bd3872a154e46ce9692603a3273859d2eb36dc WHIRLPOOL c3142aea941633f470aa6b3ff5d9972f8b7059277c9fe4ed1a839813c241d961f150f3f8fb05e370809bc1f4828bc6e1023a455e22cd45f5873218f721c6c986
diff --git a/app-arch/gtk-splitter/files/gtk-splitter-2.2.1-r1-desktop-QA-fixes.patch b/app-arch/gtk-splitter/files/gtk-splitter-2.2.1-r1-desktop-QA-fixes.patch
new file mode 100644
index 00000000000..32fd447c901
--- /dev/null
+++ b/app-arch/gtk-splitter/files/gtk-splitter-2.2.1-r1-desktop-QA-fixes.patch
@@ -0,0 +1,13 @@
+--- a/gtk-splitter.desktop
++++ b/gtk-splitter.desktop
+@@ -3,8 +3,8 @@
+ Name=File Splitter
+ Comment=GTK+ File Splitter
+ Exec=gtk-splitter %F
+-Icon=gtk-splitter.png
++Icon=/usr/share/pixmaps/gtk-splitter.png
+ Terminal=false
+ Type=Application
+-Categories=GNOME;Application;Utility;
++Categories=GNOME;Utility;
+ StartupNotify=true
diff --git a/app-arch/gtk-splitter/gtk-splitter-2.2.1-r1.ebuild b/app-arch/gtk-splitter/gtk-splitter-2.2.1-r1.ebuild
new file mode 100644
index 00000000000..5d01d9c4baf
--- /dev/null
+++ b/app-arch/gtk-splitter/gtk-splitter-2.2.1-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit eutils
+
+DESCRIPTION="Split files into smaller pieces and combine them back together"
+HOMEPAGE="http://gtk-splitter.sourceforge.net"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE="crypt"
+
+RDEPEND="x11-libs/gtk+:2
+ virtual/libintl:0
+ crypt? ( >=app-crypt/mhash-0.8:0 )"
+
+DEPEND="${RDEPEND}
+ virtual/pkgconfig:*"
+
+src_prepare() {
+ epatch "${FILESDIR}/"${P}-r1-desktop-QA-fixes.patch
+}
+
+src_compile() {
+ default
+
+ if ! use crypt ; then
+ # configure script only autodetects
+ sed -i -e 's:-lmhash::' -e 's:-DHAVE_LIBMHASH=1::' src/Makefile || die
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" docdir="/usr/share/doc/${PF}" install
+}
diff --git a/app-arch/gtk-splitter/metadata.xml b/app-arch/gtk-splitter/metadata.xml
new file mode 100644
index 00000000000..664da02d202
--- /dev/null
+++ b/app-arch/gtk-splitter/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>maintainer-needed@gentoo.org</email>
+ <description>This package lacks a primary herd or maintainer</description>
+ </maintainer>
+ <longdescription>A program to split files into smaller pieces and the put them back together.</longdescription>
+ <upstream>
+ <remote-id type="sourceforge">gtk-splitter</remote-id>
+ </upstream>
+</pkgmetadata>